# TRACE-CMD-CONVERT(1) Manual Page

## NAME

trace-cmd-convert - convert trace files

## SYNOPSIS

trace-cmd convert [OPTIONS] [output-file]

## DESCRIPTION

The trace-cmd(1) convert command converts trace file. It reads the input file and copies the data into an output file. The output file may be in different format, depending on the command line arguments. The default output is in version 7 and compressed (if compiled with compression support).

## OPTIONS

-i input-file

  By default, trace-cmd convert will read the file trace.dat. But the -i option open up the given input-file instead.

-o out-file

  The name of the output file, this parameter is mandatory. Note, the output file may also be specified as the last item on the command line.

--file-version

  Desired version of the output file. Supported versions are 6 or 7.

--compression

  Compression of the trace output file, one of these strings can be passed:

      'any'  - auto select the best available compression algorithm

      'none' - do not compress the trace file

      'name' - the name of the desired compression algorithms. Available algorithms can be listed with
      trace-cmd list -c

--help

  Print usage information.

## EXAMPLES

# trace-cmd convert --compression any trace_compress.dat

## SEE ALSO

trace-cmd(1), trace-cmd.dat(1)

## AUTHOR

Steven Rostedt <rostedt@goodmis.org>, author of trace-cmd. Tzvetomir Stoyanov <tz.stoyanov@gmail.com>, author of this man page.

## RESOURCES

https://git.kernel.org/pub/scm/utils/trace-cmd/trace-cmd.git/

## COPYING

Copyright (C) 2021 VMware. Free use of this software is granted under the terms of the GNU Public License (GPL).